Qt 5.9 | Qt 3D | QML Types | MouseHandler QML Type

Qt 5.9.9 Reference Documentation

# MouseHandler QML Type

Provides mouse event notification More...

Import Statement: | import Qt3D.Input 2.0
Since: | Qt 5.5
Instantiates: | QMouseHandler

- List of all members, including inherited members

## Properties

- containsMouse : bool
- sourceDevice : MouseDevice

## Signals

- void clicked(MouseEvent mouse)
- void doubleClicked(MouseEvent mouse)
- void entered()
- void exited()
- void positionChanged(MouseEvent mouse)
- void pressAndHold(MouseEvent mouse)
- void pressed(MouseEvent mouse)
- void released(MouseEvent mouse)
- void wheel(MouseEvent mouse)

## Detailed Description

See also MouseDevice and MouseEvent.

## Property Documentation

[read-only] containsMouse : bool

Holds `true` if the QMouseHandler currently contains the mouse.

sourceDevice : MouseDevice

Holds the current mouse source device of the MouseHandler instance.

## Signal Documentation

void clicked(MouseEvent mouse)

This signal is emitted when a mouse button is clicked with the event details being contained within mouse

void doubleClicked(MouseEvent mouse)

This signal is emitted when a mouse button is double clicked with the event details being contained within mouse

void entered()

void exited()

void positionChanged(MouseEvent mouse)

This signal is emitted when the mouse position changes with the event details being contained within mouse

void pressAndHold(MouseEvent mouse)

This signal is emitted when a mouse button is pressed and held down with the event details being contained within mouse

void pressed(MouseEvent mouse)

This signal is emitted when a mouse button is pressed with the event details being contained within mouse

void released(MouseEvent mouse)

This signal is emitted when a mouse button is released with the event details being contained within mouse

void wheel(MouseEvent mouse)

This signal is emitted when the mouse wheel is used with the event details being contained within wheel